-- Order 20013877.130 Route Assistant Check in Screen (Service Desk Dialog)
-----------------------routetransactioncategory_desc TABLE-------------------------

INSERT INTO ROUTETRANSACTIONCATEGORY_DESC
 (RouteTransactionCategory_ID, language_id, description, systemuser_id, timestamp)
  select RouteTransactionCategory_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from ROUTETRANSACTIONCATEGORY
   where ROUTETRANSACTIONCATEGORY.ROUTETRANSACTIONCATEGORY_id = 0;
commit;

INSERT INTO ROUTETRANSACTIONCATEGORY_DESC
 (RouteTransactionCategory_ID, language_id, description, systemuser_id, timestamp)
  select RouteTransactionCategory_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from ROUTETRANSACTIONCATEGORY
   where ROUTETRANSACTIONCATEGORY.ROUTETRANSACTIONCATEGORY_id = 1;
commit;

INSERT INTO ROUTETRANSACTIONCATEGORY_DESC
 (RouteTransactionCategory_ID, language_id, description, systemuser_id, timestamp)
  select RouteTransactionCategory_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from ROUTETRANSACTIONCATEGORY
   where ROUTETRANSACTIONCATEGORY.ROUTETRANSACTIONCATEGORY_id = 2;
commit;
-----------------------routetransactiontype_desc TABLE-------------------------

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 100;
commit;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 101;
commit;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 102;
commit;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 103;
commit;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 200;
commit;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 201;
commit;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 202;
commit;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 300;
commit;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 301;
commit;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 302;
commit;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 303;
commit;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 304;
commit;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 305;
commit;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 306;
commit;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 307;
commit;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 308;
commit;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 309;
commit;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 310;
commit;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 700;
commit;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 701;
commit;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID = 702;
commit;









